LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 03-31-2021, 10:28 AM   #3631
jmccue
Member
 
Registered: Nov 2008
Location: US
Distribution: slackware
Posts: 402

Rep: Reputation: 211Reputation: 211Reputation: 211
libdockapp


Hi

I noticed a issue with slackbuild libdockapp on 14.2

Install can break fonts "/usr/share/fonts/misc", it installs file "/usr/share/fonts/misc/fonts.dir", which overlays the existing "font.dir".

In "doinst.sh", I believe the following should be added or performed after installpkg(8) completes.

Code:
cd /usr/share/fonts/misc
mkfontscale
mkfontdir
fc-cache -f
John
 
Old 03-31-2021, 11:15 AM   #3632
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Hi John,

besides this being the wrong place to report issues that aren't current-specific, I just had a look for curiosity and I'm not sure what's happened there but:

- libdockapp doesn't seem to install a /usr/share/fonts/misc/fonts.dir file: the contents of the package follow
Code:
usr/
usr/lib64/
usr/lib64/pkgconfig/
usr/lib64/pkgconfig/dockapp.pc
usr/lib64/libdockapp.so.3.0.0
usr/lib64/libdockapp.la
usr/doc/
usr/doc/libdockapp-0.7.2/
usr/doc/libdockapp-0.7.2/AUTHORS
usr/doc/libdockapp-0.7.2/COPYING
usr/doc/libdockapp-0.7.2/BUGS
usr/doc/libdockapp-0.7.2/libdockapp.SlackBuild
usr/doc/libdockapp-0.7.2/README
usr/doc/libdockapp-0.7.2/ChangeLog
usr/doc/libdockapp-0.7.2/NEWS
usr/doc/libdockapp-0.7.2/examples/
usr/doc/libdockapp-0.7.2/examples/basic/
usr/doc/libdockapp-0.7.2/examples/basic/ball_red.xpm
usr/doc/libdockapp-0.7.2/examples/basic/README
usr/doc/libdockapp-0.7.2/examples/basic/Makefile
usr/doc/libdockapp-0.7.2/examples/basic/basic.c
usr/doc/libdockapp-0.7.2/examples/README
usr/doc/libdockapp-0.7.2/examples/rectangles/
usr/doc/libdockapp-0.7.2/examples/rectangles/rectangles.c
usr/doc/libdockapp-0.7.2/examples/rectangles/Makefile
usr/share/
usr/share/fonts/
usr/share/fonts/misc/
usr/share/fonts/misc/seg7-ascii-05x07.pcf.gz
usr/share/fonts/misc/luxel-ascii-06x09.pcf.gz
usr/include/
usr/include/libdockapp/
usr/include/libdockapp/list.h
usr/include/libdockapp/dockapp.h
usr/include/libdockapp/misc.h
usr/include/libdockapp/wmgeneral.h
install/
install/slack-desc
install/doinst.sh
- the doinst.sh of libdockapp already contains the commands you noted above.
Code:
if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
  mkfontscale usr/share/fonts/misc 2> /dev/null
  mkfontdir -e /usr/share/fonts/encodings -e /usr/share/fonts/encodings/large usr/share/fonts/misc 2> /dev/null
fi
if [ -x /usr/bin/fc-cache ]; then
  /usr/bin/fc-cache -f 2> /dev/null
fi
( cd usr/lib64 ; rm -rf libdockapp.so.3 )
( cd usr/lib64 ; ln -sf libdockapp.so.3.0.0 libdockapp.so.3 )
( cd usr/lib64 ; rm -rf libdockapp.so )
( cd usr/lib64 ; ln -sf libdockapp.so.3.0.0 libdockapp.so )
 
Old 03-31-2021, 12:39 PM   #3633
kingbeowulf
Senior Member
 
Registered: Oct 2003
Location: WA
Distribution: Slackware
Posts: 1,111
Blog Entries: 11

Rep: Reputation: 545Reputation: 545Reputation: 545Reputation: 545Reputation: 545Reputation: 545
I came across a bug in kiconthemes-5.80 in Slackware-Current effecting svg icons in mumble and perhaps other, non-KDE qt5 programs. Details here:
https://www.linuxquestions.org/quest...-a-4175692892/
 
Old 03-31-2021, 03:43 PM   #3634
jmccue
Member
 
Registered: Nov 2008
Location: US
Distribution: slackware
Posts: 402

Rep: Reputation: 211Reputation: 211Reputation: 211
Hi Ponce,

Quote:
Originally Posted by ponce View Post
Hi John,

besides this being the wrong place to report issues that aren't current-specific, I just had a look for curiosity and I'm not sure what's happened there but:
<snip>
- libdockapp doesn't seem to install a /usr/share/fonts/misc/fonts.dir file: the contents of the package follow
I decided to download the build for libdockapp and I noticed it was fixed. Probably should had checked first

I mentioned the issue so it would be fixed for current, but someone already fixed it.

Thanks
John
 
Old 04-01-2021, 04:20 PM   #3635
SpacePlod
Member
 
Registered: Jan 2014
Distribution: Slackware
Posts: 61

Rep: Reputation: Disabled
wkhtmltopdf failed to compile (qmake error). A version bump fixed this issue.

Code:
diff -Naur wkhtmltopdf.orig/wkhtmltopdf.SlackBuild wkhtmltopdf/wkhtmltopdf.SlackBuild
--- wkhtmltopdf.orig/wkhtmltopdf.SlackBuild	2021-04-01 17:13:14.705345416 -0400
+++ wkhtmltopdf/wkhtmltopdf.SlackBuild	2021-04-01 16:13:02.223097874 -0400
@@ -23,7 +23,7 @@
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 PRGNAM=wkhtmltopdf
-VERSION=${VERSION:-0.12.3.2}
+VERSION=${VERSION:-0.12.6}
 BUILD=${BUILD:-1}
 TAG=${TAG:-_SBo}

@@ -88,7 +88,7 @@
 rm -rf $PKG/usr/share/

 mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS CHANGELOG* LICENSE INSTALL.md README.md VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG* LICENSE README.md VERSION $PKG/usr/doc/$PRGNAM-$VERSION
 cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild

 mkdir -p $PKG/install
diff -Naur wkhtmltopdf.orig/wkhtmltopdf.info wkhtmltopdf/wkhtmltopdf.info
--- wkhtmltopdf.orig/wkhtmltopdf.info	2021-04-01 17:13:14.705345416 -0400
+++ wkhtmltopdf/wkhtmltopdf.info	2021-04-01 17:11:44.046339204 -0400
@@ -1,8 +1,8 @@
 PRGNAM="wkhtmltopdf"
-VERSION="0.12.3.2"
+VERSION="0.12.6"
 HOMEPAGE="https://wkhtmltopdf.org/"
-DOWNLOAD="https://github.com/wkhtmltopdf/wkhtmltopdf/archive/0.12.3.2.tar.gz"
-MD5SUM="8b443f1c541f3f95651f6e766b3f39a6"
+DOWNLOAD="https://github.com/wkhtmltopdf/wkhtmltopdf/archive/0.12.6.tar.gz"
+MD5SUM="170ce433d1ea62128ca4713b995f8cba"
 DOWNLOAD_x86_64=""
 MD5SUM_x86_64=""
 REQUIRES=""
 
Old 04-01-2021, 04:32 PM   #3636
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by SpacePlod View Post
wkhtmltopdf failed to compile (qmake error). A version bump fixed this issue.

Code:
diff -Naur wkhtmltopdf.orig/wkhtmltopdf.SlackBuild wkhtmltopdf/wkhtmltopdf.SlackBuild
--- wkhtmltopdf.orig/wkhtmltopdf.SlackBuild	2021-04-01 17:13:14.705345416 -0400
+++ wkhtmltopdf/wkhtmltopdf.SlackBuild	2021-04-01 16:13:02.223097874 -0400
@@ -23,7 +23,7 @@
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 PRGNAM=wkhtmltopdf
-VERSION=${VERSION:-0.12.3.2}
+VERSION=${VERSION:-0.12.6}
 BUILD=${BUILD:-1}
 TAG=${TAG:-_SBo}

@@ -88,7 +88,7 @@
 rm -rf $PKG/usr/share/

 mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS CHANGELOG* LICENSE INSTALL.md README.md VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGELOG* LICENSE README.md VERSION $PKG/usr/doc/$PRGNAM-$VERSION
 cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild

 mkdir -p $PKG/install
diff -Naur wkhtmltopdf.orig/wkhtmltopdf.info wkhtmltopdf/wkhtmltopdf.info
--- wkhtmltopdf.orig/wkhtmltopdf.info	2021-04-01 17:13:14.705345416 -0400
+++ wkhtmltopdf/wkhtmltopdf.info	2021-04-01 17:11:44.046339204 -0400
@@ -1,8 +1,8 @@
 PRGNAM="wkhtmltopdf"
-VERSION="0.12.3.2"
+VERSION="0.12.6"
 HOMEPAGE="https://wkhtmltopdf.org/"
-DOWNLOAD="https://github.com/wkhtmltopdf/wkhtmltopdf/archive/0.12.3.2.tar.gz"
-MD5SUM="8b443f1c541f3f95651f6e766b3f39a6"
+DOWNLOAD="https://github.com/wkhtmltopdf/wkhtmltopdf/archive/0.12.6.tar.gz"
+MD5SUM="170ce433d1ea62128ca4713b995f8cba"
 DOWNLOAD_x86_64=""
 MD5SUM_x86_64=""
 REQUIRES=""
thanks a lot: pushed!
 
Old 04-01-2021, 08:23 PM   #3637
ArTourter
Member
 
Registered: Oct 2010
Location: Frome, UK
Distribution: Slackware, CentOS
Posts: 47

Rep: Reputation: 18
With the latest update of glib2 to version 0.68.0, inkscape needs to be patched to compile. The following patch has already been merged upstream but not yet included into a release.

The discussion can be found here: https://gitlab.com/inkscape/inkscape..._requests/2790

Code:
diff --git a/src/3rdparty/autotrace/autotrace.h b/src/3rdparty/autotrace/autotrace.h
index 2ce6f272a997cee8c7839412a520106d5584ce4c..e56be9a74c4308cacc4043ef0855edae9cdef0a6 100644
--- a/src/3rdparty/autotrace/autotrace.h
+++ b/src/3rdparty/autotrace/autotrace.h
@@ -23,6 +23,9 @@
 
 #include <stdio.h>
 
+#include "types.h"
+#include "color.h"
+
 #ifdef __cplusplus
 extern "C" {
 #endif                          /* __cplusplus */
@@ -35,9 +38,6 @@ extern "C" {
  * Typedefs
  * ===================================================================== */
 
-#include "types.h"
-#include "color.h"
-
 /* Third degree is the highest we deal with.  */
   enum _at_polynomial_degree {
     AT_LINEARTYPE = 1,
diff --git a/src/3rdparty/autotrace/color.h b/src/3rdparty/autotrace/color.h
index e50ab30ae04d1861c4d9aa0f393650d2f2c102da..88651db9f73571cdc5f14cdf4645e8fa69e03912 100644
--- a/src/3rdparty/autotrace/color.h
+++ b/src/3rdparty/autotrace/color.h
@@ -24,6 +24,10 @@
 #include <glib.h>
 #include <glib-object.h>
 
+#ifdef __cplusplus
+extern "C" {
+#endif                          /* __cplusplus */
+
 typedef struct _at_color at_color;
 struct _at_color {
   guint8 r;
@@ -43,4 +47,7 @@ void at_color_free(at_color * color);
 GType at_color_get_type(void);
 #define AT_TYPE_COLOR (at_color_get_type ())
 
+#ifdef __cplusplus
+}
+#endif                          /* __cplusplus */
 #endif /* not AT_COLOR_H */
if the patch above in saved as eb24388f1730918edd9565d9e5d09340ec0b3b08.diff then the following patch to the SlackBuild script can be applied:

Code:
--- inkscape.SlackBuild.old     2021-04-02 02:19:19.184024059 +0100
+++ inkscape.SlackBuild 2021-04-02 02:20:11.712776661 +0100
@@ -25,7 +25,7 @@
 PRGNAM=inkscape
 VERSION=${VERSION:-1.0.2}
 EXTRAVER=${EXTRAVER:-2021-01-15_e86c870879}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
 TAG=${TAG:-_SBo}
 
 if [ -z "$ARCH" ]; then
@@ -70,6 +70,9 @@
  \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
   -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
 
+# patching to fix compilation with glib2 2.67.3 and above
+patch -p1 < $CWD/eb24388f1730918edd9565d9e5d09340ec0b3b08.diff
+
 # strip invalid tag
 sed -i /url/d org.inkscape.Inkscape.appdata.xml.in
 
Old 04-02-2021, 02:17 AM   #3638
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by ArTourter View Post
With the latest update of glib2 to version 0.68.0, inkscape needs to be patched to compile. The following patch has already been merged upstream but not yet included into a release.
Thanks a lot, Greg: pushed!

Last edited by ponce; 04-02-2021 at 02:19 AM.
 
Old 04-03-2021, 01:38 PM   #3639
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 651

Rep: Reputation: 317Reputation: 317Reputation: 317Reputation: 317
jupyter_core 4.7. fails to build after the latest update. Output:

Code:
jupyter_core-4.7.1/scripts/jupyter
jupyter_core-4.7.1/scripts/jupyter-migrate
jupyter_core-4.7.1/setup.cfg
jupyter_core-4.7.1/setup.py
Traceback (most recent call last):
  File "setup.py", line 23, in <module>
    'bdist_egg': bdist_egg if 'bdist_egg' in sys.argv else bdist_egg_disabled,
  File "/usr/lib64/python2.7/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib64/python2.7/distutils/core.py", line 124, in setup
    dist.parse_config_files()
  File "/usr/lib64/python2.7/site-packages/setuptools/dist.py", line 702, in parse_config_files
    ignore_option_errors=ignore_option_errors)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 121, in parse_configuration
    meta.parse()
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 426, in parse
    section_parser_method(section_options)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 399, in parse_section
    self[name] = value
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 184, in __setitem__
    value = parser(value)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 515, in _parse_version
    version = self._parse_attr(value, self.package_dir)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 349, in _parse_attr
    module = import_module(module_name)
  File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/tmp/SBo/jupyter_core-4.7.1/jupyter_core/__init__.py", line 1, in <module>
    from .version import version_info, __version__
  File "/tmp/SBo/jupyter_core-4.7.1/jupyter_core/version.py", line 21
    _suffix_ = f'.dev{version_info.serial}'
                                          ^
SyntaxError: invalid syntax
I donīt understand a great deal but it seems like it doesnīt like python 2.
 
Old 04-03-2021, 02:05 PM   #3640
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by sombragris View Post
jupyter_core 4.7. fails to build after the latest update. Output:

Code:
jupyter_core-4.7.1/scripts/jupyter
jupyter_core-4.7.1/scripts/jupyter-migrate
jupyter_core-4.7.1/setup.cfg
jupyter_core-4.7.1/setup.py
Traceback (most recent call last):
  File "setup.py", line 23, in <module>
    'bdist_egg': bdist_egg if 'bdist_egg' in sys.argv else bdist_egg_disabled,
  File "/usr/lib64/python2.7/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib64/python2.7/distutils/core.py", line 124, in setup
    dist.parse_config_files()
  File "/usr/lib64/python2.7/site-packages/setuptools/dist.py", line 702, in parse_config_files
    ignore_option_errors=ignore_option_errors)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 121, in parse_configuration
    meta.parse()
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 426, in parse
    section_parser_method(section_options)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 399, in parse_section
    self[name] = value
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 184, in __setitem__
    value = parser(value)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 515, in _parse_version
    version = self._parse_attr(value, self.package_dir)
  File "/usr/lib64/python2.7/site-packages/setuptools/config.py", line 349, in _parse_attr
    module = import_module(module_name)
  File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/tmp/SBo/jupyter_core-4.7.1/jupyter_core/__init__.py", line 1, in <module>
    from .version import version_info, __version__
  File "/tmp/SBo/jupyter_core-4.7.1/jupyter_core/version.py", line 21
    _suffix_ = f'.dev{version_info.serial}'
                                          ^
SyntaxError: invalid syntax
I donīt understand a great deal but it seems like it doesnīt like python 2.
yes, so IMHO try removing this line from the script
Code:
python2 setup.py install --root=$PKG
 
1 members found this post helpful.
Old 04-04-2021, 04:08 AM   #3641
brobr
Member
 
Registered: Oct 2003
Location: uk
Distribution: Slackware
Posts: 713

Rep: Reputation: 181Reputation: 181
Hi, after the poppler upgrade Scribus does not build:
Quote:
/tmp/SBo/scribus-1.5.6.1/scribus/plugins/import/pdf/slaoutput.cpp:1345:58: error: cannot convert ‘std::unique_ptr<FormPageWidgets>’ to ‘FormPageWidgets*’ in assignment
1345 | m_formWidgets = pdfDoc->getPage(pageNum)->getFormWidgets();
| ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~
| |
| std::unique_ptr<FormPageWidgets>
make[2]: *** [scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/build.make:130: scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/slaoutput.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:2783: scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/all] Error 2
make: *** [Makefile:156: all] Error 2
It has been reported already upstream: https://bugs.scribus.net/view.php?id=16536
 
Old 04-04-2021, 04:51 PM   #3642
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 651

Rep: Reputation: 317Reputation: 317Reputation: 317Reputation: 317
Quote:
Originally Posted by ponce View Post
yes, so IMHO try removing this line from the script
Code:
python2 setup.py install --root=$PKG
Thanks ponce! Now it builds correctly.
I think we donīt lose much with python 2.
 
Old 04-04-2021, 04:51 PM   #3643
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 651

Rep: Reputation: 317Reputation: 317Reputation: 317Reputation: 317
This weekīs addition, tauonmb, builds correctly but fails to run:

Code:
Tauon Music Box v6.5.4
Copyright 2015-2020 Taiko2k captain.gxj@gmail.com

Running from installed location
User files location: /home/eduardo/.local/share/TauonMusicBox
Clearing old cache directory
/home/eduardo/.cache/TauonMusicBox
Found XDG-Downloads: /home/eduardo/Downloads
Found XDG-Music: /home/eduardo/
Install directory: /opt/tauon-music-box
No previous window state
Traceback (most recent call last):
  File "/usr/lib64/python3.9/site-packages/PyLyrics/classes.py", line 3, in <module>
    from .functions import *
  File "/usr/lib64/python3.9/site-packages/PyLyrics/functions.py", line 2, in <module>
    from bs4 import BeautifulSoup, Comment, NavigableString
ModuleNotFoundError: No module named 'bs4'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.9/site-packages/PyLyrics/__init__.py", line 6, in <module>
    from .classes import *
  File "/usr/lib64/python3.9/site-packages/PyLyrics/classes.py", line 5, in <module>
    from functions import *
ModuleNotFoundError: No module named 'functions'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/tauon-music-box/tauon.py", line 747, in <module>
    from t_modules.t_lyrics import *
  File "/opt/tauon-music-box/t_modules/t_lyrics.py", line 22, in <module>
    from PyLyrics import PyLyrics
  File "/usr/lib64/python3.9/site-packages/PyLyrics/__init__.py", line 10, in <module>
    from classes import *
ModuleNotFoundError: No module named 'classes'
Looks like PyLyrics has some issue with BeautifulSoup4. Just to be sure I rebuild BeautifulSoup4, PyLyrics and tauonmb (in that order) but still I get this error.

Last edited by sombragris; 04-04-2021 at 04:53 PM.
 
Old 04-04-2021, 09:58 PM   #3644
AlleyTrotter
Member
 
Registered: Jun 2002
Location: Coal Township PA
Distribution: Slackware64-14.2 (5.12.12) UEFI enabled
Posts: 671

Rep: Reputation: 363Reputation: 363Reputation: 363Reputation: 363
Some extra files in LibreOffice on Sbo-git
Code:
root@current:~# ls -l /var/lib/sbopkg/SBo-git/office/LibreOffice/
total 76
-rw-r--r-- 1 root root 12865 Apr  4 22:35 LibreOffice.SlackBuild
-rw-r--r-- 1 root root 12865 Apr  4 22:35 LibreOffice.SlackBuild.build
-rw-r--r-- 1 root root 12865 Apr  4 22:28 LibreOffice.SlackBuild.original
-rw-r--r-- 1 root root   525 Apr  4 22:28 LibreOffice.info
-rw-r--r-- 1 root root   525 Apr  4 22:35 LibreOffice.info.build
-rw-r--r-- 1 root root  5040 Apr  4 22:28 README
-rw-r--r-- 1 root root   435 Apr  4 22:28 doinst.sh
lrwxrwxrwx 1 root root    49 Apr  4 22:36 libreoffice-7.0.4.2-srcs.tar.xz -> /var/cache/sbopkg/libreoffice-7.0.4.2-srcs.tar.xz
lrwxrwxrwx 1 root root    44 Apr  4 22:35 libreoffice-7.1.2.2.tar.xz -> /var/cache/sbopkg/libreoffice-7.1.2.2.tar.xz
-rw-r--r-- 1 root root   262 Apr  4 22:28 no-check-if-root.diff
-rw-r--r-- 1 root root   935 Apr  4 22:28 slack-desc
john
 
Old 04-05-2021, 01:29 AM   #3645
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by AlleyTrotter View Post
Some extra files in LibreOffice on Sbo-git
Code:
root@current:~# ls -l /var/lib/sbopkg/SBo-git/office/LibreOffice/
total 76
-rw-r--r-- 1 root root 12865 Apr  4 22:35 LibreOffice.SlackBuild
-rw-r--r-- 1 root root 12865 Apr  4 22:35 LibreOffice.SlackBuild.build
-rw-r--r-- 1 root root 12865 Apr  4 22:28 LibreOffice.SlackBuild.original
-rw-r--r-- 1 root root   525 Apr  4 22:28 LibreOffice.info
-rw-r--r-- 1 root root   525 Apr  4 22:35 LibreOffice.info.build
-rw-r--r-- 1 root root  5040 Apr  4 22:28 README
-rw-r--r-- 1 root root   435 Apr  4 22:28 doinst.sh
lrwxrwxrwx 1 root root    49 Apr  4 22:36 libreoffice-7.0.4.2-srcs.tar.xz -> /var/cache/sbopkg/libreoffice-7.0.4.2-srcs.tar.xz
lrwxrwxrwx 1 root root    44 Apr  4 22:35 libreoffice-7.1.2.2.tar.xz -> /var/cache/sbopkg/libreoffice-7.1.2.2.tar.xz
-rw-r--r-- 1 root root   262 Apr  4 22:28 no-check-if-root.diff
-rw-r--r-- 1 root root   935 Apr  4 22:28 slack-desc
john
no such files here...
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:11 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration